#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		hvs		"qemu"
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	virt-manager
Version		:	4.1.0
Release		:	14.4.0.0%{?dist}
Summary		:	Desktop tool for managing virtual machines via libvirt

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://virt-manager.org

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gettext
BuildRequires	:	python3
BuildRequires	:	python3-docutils

BuildArch	:	noarch

Requires	:	gtk3+
Requires	:	libvirt-glib
Requires	:	libosinfo
Requires	:	python3-libvirt
Requires	:	python3-pygobject
Requires	:	python3-libxml2

#-----------------------------------------------------------------------------
%description
Virtual Machine Manager provides a graphical tool for
administering virtual machines for KVM, Xen, and LXC.
Start, stop, add or remove virtual devices, connect to
a graphical or serial console, and see resource usage
statistics for existing VMs on local or remote machines.
Uses libvirt as the backend management API.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc README.md COPYING NEWS.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.virt-manager.virt-manager.gschema.xml
%{_datadir}/%{name}/ui/*.ui
%{_datadir}/%{name}/virtManager/*.py
%{_datadir}/%{name}/virtManager/__pycache__/*.pyc
%{_datadir}/%{name}/virtManager/details/*.py
%{_datadir}/%{name}/virtManager/details/__pycache__/*.pyc
%{_datadir}/%{name}/virtManager/device/*.py
%{_datadir}/%{name}/virtManager/device/__pycache__/*.pyc
%{_datadir}/%{name}/virtManager/lib/*.py
%{_datadir}/%{name}/virtManager/lib/__pycache__/*.pyc
%{_datadir}/%{name}/virtManager/object/*.py
%{_datadir}/%{name}/virtManager/object/__pycache__/*.pyc
%{_datadir}/%{name}/virtinst/build.cfg
%{_datadir}/%{name}/virtinst/*.py
%{_datadir}/%{name}/virtinst/__pycache__/*.pyc
%{_datadir}/%{name}/virtinst/devices/*.py
%{_datadir}/%{name}/virtinst/devices/__pycache__/*.pyc
%{_datadir}/%{name}/virtinst/domain/*.py
%{_datadir}/%{name}/virtinst/domain/__pycache__/*.pyc
%{_datadir}/%{name}/virtinst/install/*.py
%{_datadir}/%{name}/virtinst/install/__pycache__/*.pyc
%{_datadir}/%{name}/icons/hicolor/*/actions/*.png
%{_datadir}/%{name}/icons/hicolor/*/devices/*.png
%{_datadir}/%{name}/icons/hicolor/*/status/*.png
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1.gz

%postun
if [ "$1" = 0 ]; then
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  %{_bindir}/update-desktop-database 2> /dev/null
  fi

%post
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null

#=============================================================================
%package		-n virt-install

Summary		:	Utilities for installing virtual machines

Requires	:	%{name} 	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		-n virt-install
Package includes several command line utilities,
including virt-install (build and install new VMs)
 and virt-clone (clone an existing virtual machine).

#-----------------------------------------------------------------------------
%files			-n virt-install
%defattr(-,root,root,-)
%{_bindir}/virt-install
%{_bindir}/virt-clone
%{_bindir}/virt-xml
%{_datadir}/bash-completion/completions/virt-install
%{_datadir}/bash-completion/completions/virt-clone
%{_datadir}/bash-completion/completions/virt-xml
%{_mandir}/man1/virt-install.1.gz
%{_mandir}/man1/virt-clone.1.gz
%{_mandir}/man1/virt-xml.1.gz

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./setup.py						\
	configure					\
	--default-hvs					\
	%{hvs}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


./setup.py						\
	--no-update-icon-cache				\
	--no-compile-schemas 				\
	install						\
	-O1						\
	--root=%{buildroot}				\

%if 0%{?py_byte_compile:1}
#https://docs.fedoraproject.org/en-US/packaging-guidelines/Python_Appendix/#manual-bytecompilation
%py_byte_compile %{__python} %{buildroot}%{_datadir}/virt-manager/
%endif

%find_lang %{name}

#-----------------------------------------------------------------------------
%changelog
